function zeiten = duffing_messung()
% misst die Laufzeit des Modells duffing für verschiedene Solver und
% Parameterwerte
solver = {'ode45', 'ode23', 'ode113', 'ode15s', ...
           'ode23s', 'ode23t', 'ode23tb'};
bWerte = {'1', '10', '100', '1000'};

nB = length(bWerte);
nSol = length(solver);
zeiten = zeros(nSol, nB);   % Zeiten fuer Solver und mu

for I=1:nSol
  set_param('duffing', 'Solver', solver{I});
  for J=1:nB
    fprintf('Naechster Lauf: I=%d, J=%d\n',  I, J);
    set_param('duffing/b', 'Gain', bWerte{J});
    tic;
    sim('duffing');
    zeiten(I,J) = toc;
  end
end
